<?php
include('conexion.php');
include('menus.php');
session_start();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $publicacion_id = intval($_POST['publicacion_id']);
    $receptor_id = intval($_POST['receptor_id']);
    $contenido = trim($_POST['contenido']);
    $emisor_id = sesion_paciente(); 

    // Envía las variables a JavaScript usando json_encode()
    echo "<script>";
    echo "console.log('publicacion_id: ', " . json_encode($publicacion_id) . ");";
    echo "console.log('receptor_id: ', " . json_encode($receptor_id) . ");";
    echo "console.log('contenido: ', " . json_encode($contenido) . ");";
    echo "console.log('emisor_id: ', " . json_encode($emisor_id) . ");";
    echo "</script>";

    // Obtener el género del emisor desde la tabla 'usuarios'
    $sql_genero = "SELECT genero FROM usuarios WHERE usuario_id = ?";
    $stmt_genero = $conn->prepare($sql_genero);
    $stmt_genero->bind_param("i", $emisor_id);
    $stmt_genero->execute();
    $stmt_genero->bind_result($genero_emisor);
    $stmt_genero->fetch();
    $stmt_genero->close();

    if (!empty($contenido)) {
        $sql = "INSERT INTO mensajes (emisor_id, receptor_id, publicacion_id, contenido, genero_emisor) VALUES (?, ?, ?, ?, ?)";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("iiiss", $emisor_id, $receptor_id, $publicacion_id, $contenido, $genero_emisor);

        if ($stmt->execute()) {
            header("Location: comunidad.php");
            exit();
        } else {
            echo "Error: " . $stmt->error;
        }
    } else {
        echo "El contenido del mensaje no puede estar vacío.";
    }
} else {
    echo "Método de solicitud no válido.";
}
?>
